unit xdwrap_event;

interface

uses
  sysutils;

const
  //Applikation wird beendet
  OnQuit=1;
  //Applikation bekommt den Fokus
  OnActive=2;
  //Tastendruck
  OnKeyDown=3;
  //Taste wird losgelassen
  OnKeyUp=4;
  //Maus wird bewegt
  OnMouseMove=5;
  //Maustaste wird gedrckt
  OnMouseDown=6;
  //Maustaste wird losgelassen
  OnMouseUp=7;
  //Fenster wird in seinen ausmaen verndert
  OnResize=8;
  //wenn ein anderes Fenster ber das Fenster geschoben wird
  OnExpose=9;

type
  xdwrap_Event_Error=class(Exception);

  TXDMotion=record
    x   :word;
    y   :word;
    xrel:smallint;
    yrel:smallint;
  end;

  TXDButton=record
    button:byte;
    x     :word;
    y     :word;
  end;

  TXDResize=record
    width :integer;
    height:integer;
  end;

  TXDEvent=record
    type_ :integer;
    key   :word;
    motion:TXDMotion;
    button:TXDButton;
    resize:TXDResize;
  end;

  //ndert den Titel des Fensters
  pxdwrap_event_getevent   =function  (var event:TXDEvent):Integer;
  //aktiviert/deaktiviert Unicode
  pxdwrap_UseUnicode       =procedure (val:Boolean);
  //aktiviert/deaktiviert Keyrepeat fr z.B. "alarm!!!!!!!!!!" xD
  pxdwrap_UseKeyboardRepeat=procedure (val:Boolean);

var
  xdwrap_event_getevent   :pxdwrap_event_getevent;
  xdwrap_UseUnicode       :pxdwrap_UseUnicode;
  xdwrap_UseKeyboardRepeat:pxdwrap_UseKeyboardRepeat;

implementation

{$I xdwrap_eventcode.inc}

initialization
  init_event;

end.